require "import"
import "java.text.SimpleDateFormat"
import "java.util.Date"
import "android.content.Intent"
import "android.content.IntentFilter"
import "android.os.BatteryManager"

-- Obtener la hora actual
local formattedTime = SimpleDateFormat("hh:mm a").format(Date())

-- Obtener la fecha actual
local formattedDate = SimpleDateFormat("dd/MMMM/yyyy").format(Date())

-- Obtener nivel de batería
local batteryIntent = this.registerReceiver(nil, IntentFilter(Intent.ACTION_BATTERY_CHANGED))
local level = batteryIntent.getIntExtra(BatteryManager.EXTRA_LEVEL, -1)
local scale = batteryIntent.getIntExtra(BatteryManager.EXTRA_SCALE, -1)
local batteryPercent = (level / scale) * 100

-- Hablar la información
local mensaje = "La hora es " .. formattedTime ..
                ", la fecha es " .. formattedDate ..
                ", y el nivel de batería es " .. string.format("%.0f", batteryPercent) .. "%."
this.speak(mensaje)